Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/18/2021 in all areas

  1. Its not that hard you can use a vertical line then do VL intersectwith it will find the the point of intersection so can get the Y value. I am sure you know about vl getpointatdist use that to establish the X points along a horizontal line. Then delete the temporary line. (setq intpt1 (vlax-invoke obj2 'intersectWith obj1 acExtendThisEntity)) note the extend option the line can be drawn shorter than needed but point will still be calculated. Can also then draw the white vertical lines.
    1 point
  2. @Halsy Try something like this: (or (getenv "NameYouWantToUse") (progn (alert "Hello World!") (setenv "NameYouWantToUse" "Ran")))
    1 point
  3. 100% @Grrr if you want more detail you could also do. (cond ((and file1 file2) (princ "\nFound both files:") (princ (strcat "\n" file1)) (princ (strcat "\n" file2)) ; do stuff... ) (file1 (princ (strcat "\nFound: " file1)) ; do stuff... ) (file2 (princ (strcat "\nFound: " file2)) ; do stuff... ) (t (princ "\nNo files were found") ; do stuff... ) ) ; cond "found both files" "C:\project1\text\one.txt" "C:\project1\text\two.txt" or "Found: C:\project1\text\one.txt" instead of "found both files" or "found file1"
    1 point
×
×
  • Create New...